Conflicting handlers error in Eclipse

<oXygen/> general issues.
charlesh
Posts: 7

Conflicting handlers error in Eclipse

Wed Sep 20, 2017 3:20 pm

Hi,

We're using oXygen for Eclipse as part of the Ixiasoft DITA CMS package. The latest version comprises Eclipse 4.3.2 and we've chosen to use oXygen 19.0 as our editor.

I've noticed that when locking or releasing a topic from the CMS, three error messages are generated consistently in the Eclipse Error Log view:

eclipse.buildId=4.3.2.M20140221-1700
java.version=1.7.0_79
java.vendor=Oracle Corporation
BootLoader constants: OS=win32, ARCH=x86_64, WS=win32, NL=en_GB
Command-line arguments: -os win32 -ws win32 -arch x86_64

Error
Wed Sep 20 13:08:47 BST 2017
Conflicting handlers for org.eclipse.ui.edit.text.moveLineDown: {ActionHandler(com.oxygenxml.editor.editors.xml.eb@4ca5906d)} vs {ActionHandler(org.eclipse.ui.texteditor.MoveLinesAction@215a1dee)}

Is this a known issue? Is there anything we can do about it, without upgrading Eclipse since that really isn't possible in this situation.

Thanks,

Charles
adrian
Posts: 2326

Re: Conflicting handlers error in Eclipse

Wed Sep 20, 2017 4:25 pm

Hello,

Are you experiencing any issues with Oxygen in Eclipse, or is it just that the error messages are bothering you?
This is a known non-issue. Oxygen does have a couple of conflicting handlers (moveLineUp/moveLineDown) on Eclipse 4.x, but they are redundant actions (Eclipse 4.x already implements them), so the fact that they are in conflict doesn't affect the user, it's just that Eclipse reports these conflicts as errors.

I've logged this on our issue tracking tool to be resolved in a future version. For future reference it is issue EXM-39369. You will be notified when this is resolved.

Regards,
Adrian
Adrian Buza
<oXygen/> XML Editor, Schema Editor and XSLT Editor/Debugger
http://www.oxygenxml.com

Return to “Other Issues”

Who is online

Users browsing this forum: Yahoo [Bot] and 0 guests